@import "_variables";

nav#mobile {
    position: absolute;
    top: 0;
    left: 0;
    width: 400px;
    max-width: calc(100% - 90px);
    height: 100vh;
    background: white;
    z-index: 300;
    display: none;

    .nav-header {
        height: 80px;
        width: 100%;
        background: $blue-gradient;
        color: white;

        h2 {
            margin-left: 90px;
            padding-top: 22px;
            font-weight: lighter;
        }
    }

    ul {
        list-style-type: none;
        margin: 0;
        padding: 0;
        font-size: 25px;

        a {
            color: $text-light-gray;

            li {
                padding: 16px;
                padding-left: 22px;
                transition: all 300ms;
            }
            
            &:hover,
            &.active {
                color: white;
                text-decoration: none;

                li {
                    background: $primary-blue;
                    opacity: 0.5;
                    cursor: pointer;
                    padding-left: 40px; 
                    transition: all 300ms;
                }
            }
        }
    }
}